TablePtrMap< K, T, N >::iterator Class Reference

`#include <flmap.h>`

Inheritance diagram for TablePtrMap< K, T, N >::iterator:

## Public Member Functions

| iterator ()
| iterator (const TablePtrMap &m)
| iterator (const iterator &it)
iterator & | operator= (const iterator &it)
| operator bool () const
T | data () const
K | key () const
iterator & | operator++ ()

## Additional Inherited Members

Private Member Functions inherited from TableAnyMap::iterator
| iterator ()
| iterator (const TableAnyMap &m)
| iterator (const iterator &it)
iterator & | operator= (const iterator &it)
| operator bool () const
void * | data () const
size_t | key () const
iterator & | operator++ ()
void | leftmost ()
void | forward ()
Private Attributes inherited from TableAnyMap::iterator
const TableAnyMap * | map
int | ix

## Constructor & Destructor Documentation

## iterator() [1/3]

template<typename K , typename T , int N = 8>

TablePtrMap< K, T, N >::iterator::iterator | ( |  | ) |

inline

## iterator() [2/3]

template<typename K , typename T , int N = 8>

TablePtrMap< K, T, N >::iterator::iterator | ( | const TablePtrMap & | m | ) |

inline

## iterator() [3/3]

template<typename K , typename T , int N = 8>

TablePtrMap< K, T, N >::iterator::iterator | ( | const iterator & | it | ) |

inline

## Member Function Documentation

## data()

template<typename K , typename T , int N = 8>

T TablePtrMap< K, T, N >::iterator::data | ( |  | ) | const

inline

## key()

template<typename K , typename T , int N = 8>

K TablePtrMap< K, T, N >::iterator::key | ( |  | ) | const

inline

## operator bool()

template<typename K , typename T , int N = 8>

TablePtrMap< K, T, N >::iterator::operator bool | ( |  | ) | const

inline

## operator++()

template<typename K , typename T , int N = 8>

iterator& TablePtrMap< K, T, N >::iterator::operator++ | ( |  | ) |

inline

## operator=()

template<typename K , typename T , int N = 8>

iterator& TablePtrMap< K, T, N >::iterator::operator= | ( | const iterator & | it | ) |

inline

The documentation for this class was generated from the following file:

- flmap.h